%global fontname ns-tiza-chalk
%global fontconf 64-%{fontname}.conf


Name:           %{fontname}-fonts
Version:        20080210
Release:        3%{?dist}
Summary:        Chalky slab-serif fonts

Group:          User Interface/X
License:        OFL
URL:            http://www.nuevostudio.com/project/tiza/
Source0:        http://www.nuevostudio.com/files/downloads/tiza.zip
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
A bold, chalky slab-serif font inspired by the lovely slab-serif Giza.
It supports diacritics in addition to the basic latin set of characters.
The font was created by Pablo Caro.

%prep
%setup -q -c -T
unzip -j -L -q %{SOURCE0}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done



%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc *.txt


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080210-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 10 2009 TK009 <john.brown009@gmail.com>
- 20080210-2
- correction to spec

* Sat Nov 07 2009 TK009 <john.brown009@gmail.com>
- 20080210-1
- initial packaging

